Subject: Re: [RFC] Git User's Survey 2009 - second trial run, and question about announcing it

From: Jakub Narebski <[email-masked]>
Date: Sun, 5 Jul 2009 00:40:20 +0200

On Sat, 4 July 2009, Felipe Contreras wrote:
> 2009/7/3 Jakub Narebski <[email-masked]>:

> > The last replacements reminds me of the problem of announcing this
> > survey.  Where to submit note announcing "Git User's Survey 2009"
> > (tentative date of survey is 15 July 2009 -- 15 September 2009)?
> > How such note should look like?
> 
> I'm not sure what you mean. I think the best place to announce these
> kinds of things is through a post in an official blog.

The problem is that there isn't "official blog" for Git.  There is
gitster's (Junio C Hamano, git maintainer) blog at
  http://gitster.livejournal.com/
there is yours 'A git blog looking to be official' at
  http://gitlog.wordpress.com/

Let me quote appropriate question from "Git User's Survey 2009" which
lists possible announcement mechanisms I did think of:

  29. How did you hear about this Git User's Survey?
    * git mailing list
    * git-related mailing list (msysGit, Git for Human Beings, ...)
    * mailing list or forum of some project
    * #git IRC channel topic
    * announcement on IRC channel
    * git homepage
    * git wiki
    * git hosting site
    * software-related web site
    * news web site or social news site
    * blog
    * other kind of web site
    * Twitter or other microblogging platform
    * other - please specify

I will send announcement to Git mailing list (i.e. here) using
"[ANNOUNCE]" in email subject, which means that 'GIT Mailing List
RSS Feeds' script would pick it up for 'announce' feed
  http://gitrss.q42.co.uk/announce.rss
which means that Ohloh would have it in "News" section for Git project:
  http://www.ohloh.net/p/git
(and it is easy to add announcement in "Journal Entries" at Ohloh).

I can add announcement about Git User's Survey 2009 at Git Wiki and
create page about it at
  http://git.or.cz/gitwiki/GitSurvey2009
I can ask Scott Chacon to put announcement on Git Homepage at
  http://git-scm.com

What other places to ask to put note about this survey?  For past
surveys I was sending announcement to mailing list of projects using
git (http://git.or.cz/gitwiki/GitProjects)... well, at least those
which didn't require subscribing to mailing list before postiting on
it (and even that for some cases can be worked around by sending
announcement via GMane).  But with number of projects using git so
large nowadays I don't think it is good approach...

> > 8. How do/did you obtain Git (install and/or upgrade)?
> >    * binary package (includes automatic updates in usual situation)
> >    * source package or script
> >    * source tarball
> >    * pull from (main) repository
> >
> > Explanation: binary package covers pre-compiled binary (e.g. from rpm
> > or deb binary packages); source package covers things like deb-src and
> > SRPMS/src.rpm; source script is meant to cover installation in
> > source-based distributions, like 'emerge' in Gentoo, and it includes
> > automatic update in source-based Linux distributions.
> >
> > Note that this question is multiple choices question because one can
> > install Git in different ways on different machines or on different
> > operating systems.
> 
> It's a bit complicated and missing some, how about:
> 8. How do/did you obtain Git?
>  * package management (apt, yum, etc.)
>  * binary package or installer (.deb, .exe) <-
>  * source package or script (deb-src, src.rpm)
>  * source tarball
>  * pull from (main) repository

It might be better formulation.  Currently updates using automatic 
updates (apt, yum, YaST, Package Manager) is split into two: binary
package for distributions using binary packages for update (most 
distributions: Ubuntu, Debian, Fedora, SuSE) and source package for
source based distributions (like Gentoo or Sourcemage).

I will think about it (and about adding "sysadmin job" answer too).

> - 9. What operating system do you use Git on?
> + 9. On which operating system(s) do you use Git?

Thanks, this is better.

> 
> - 13. Which git hosting site do you use for your projects?
> + 13. Which hosting site(s) do you use for your projects?

Well, on one hand side among possible answers there is "generic site
without git support".  On the other hand this question is about where
you host your projects that you use git for.

I think I'll leave "git" in question, but use "site(s)".

> > 20. Overall, how happy are you with Git?
> >    * unhappy
> >    * not so happy
> >    * happy
> >    * very happy
> >    * completely ecstatic
> 
> Let's leave room for git haters too:
>  * I hate it

Well, "I hate it" is "unhappy".  But on the other hand I'd like to have
here set of answers with 'neutral' in the middle, and symmetric around
this middle answer.  Perhaps:

    * unhappy
    * not so happy
    * average
    * somewhat happy
    * very happy

Also I agree with Junio that I'd rather git haters didn't answer this
survey...
 
> - 21. In you opinion, which areas in Git needs improvement?
> + 21. In you opinion, which areas of Git need improvement?
> 
> - 23. How do you compare current version with version from year ago?
> + 23. How do you compare the current version with the one from one year ago?

Thanks.
 
> > 25. Have you tried to get Git help from other people?
> > 26. What channel did you use to request help?
> > 27. If yes, did you get these problems resolved quickly and to your liking?
> 
> "If yes" on 27 is out of context:
> 
> - 25. Have you tried to get Git help from other people?
> + 25. Have you tried to get help regarding Git from other people?
> 26. If yes, did you get these problems resolved quickly and to your liking?
> 27. What channel did you use to request help?

Ooops.  I'll fix it.

> - 28. Which communication channels do you use?
> + 28. Which communication channel(s) do you use?

Thanks
 
> - 29. How did you heard about this Git User's Survey?
> + 29. How did you hear about this survey?

I'll fix grammar, but I'd leave "Git User's Survey" here.

> - 30. What other comments or suggestions do you have that are not
> covered by the questions above?
> + 30. Any other comments or suggestions?

Perhaps.

Thanks a lot for your review and comments!

-- 
Jakub Narebski
Poland